Scriptname _CGO_LockedGate_WH extends ObjectReference  

Quest Property DBQuest  Auto  
Quest Property HarbingerQuest  Auto  

event OnLoad()        
	float updt = TimeBeforeCheck()
	RegisterForSingleUpdateGameTime(updt);
endEvent

event OnUpdateGameTime()
	LockGate();
endEvent

event OnUnload()
	UnregisterForUpdateGameTime();
endEvent



;;;;;;;;FUNCTIONS;;;;;;;;;

function LockGate()

	float updt = TimeBeforeCheck()
	If DBQuest.IsCompleted() == 1
		Lock(false)	
	ElseIf HarbingerQuest.IsCompleted() == 1
		Lock(false)
	Else
		Lock(true)
		SetLockLevel(255)
	EndIf
	RegisterForSingleUpdateGameTime(updt);
endFunction

float Function GetCurrentHourOfDay() 
 
	float Time = Utility.GetCurrentGameTime()
	Time -= Math.Floor(Time) ; Remove "previous in-game days passed" bit
	Time *= 24 ; Convert from fraction of a day to number of hours
	Return Time
EndFunction

float Function TimeBeforeCheck()

	float updateTime
	float hour = GetCurrentHourOfDay()
	If (hour >= 21 || hour <= 6)
		updateTime = 0.2
	Else
		updateTime = 21 - hour
	EndIf
	Return updateTime
EndFunction

